#ifndef CORE_MAP_INFO
#define CORE_MAP_INFO

#include <gelf.h>

struct core_map_info {
	struct core_map_info *next;

	Elf *elf;
	GElf_Off p_offset;
	GElf_Addr p_filesz;
	GElf_Addr p_vaddr;
};

struct core_map_info *core_add_map_info(struct core_map_info **list, Elf *elf,
					GElf_Phdr *phdr);
struct core_map_info *find_map(struct core_map_info *map,
			       const GElf_Addr addr, size_t size);
void get_map_data(struct core_map_info *core_map, const GElf_Addr addr,
		  size_t size, void *dest);

#endif /* CORE_MAP_INFO */
